import java.io.*;
public class InputTest {
  public static void main(String[] args) 
                     throws Exception {
    BufferedReader in = 
            new BufferedReader(
                    new InputStreamReader(System.in));
    System.out.println("Enter a string");
    String s = in.readLine();
    System.out.println("Enter an integer");
    int i = Integer.parseInt(in.readLine());
    System.out.println("Enter a character");
    char c = (char) in.read();
    System.out.println("s=" + s + " i=" + i + " c=" + c);
  }
}